Subject: [tcpm] Next steps for draft-ietf-tcpm-2140bis-06

From: "Scharf, Michael" <[email-masked]>
Date: Mon, 21 Dec 2020 08:20:20 +0000

Hi all,

There has been no follow-up list discussion. Given the lack of further input from the community, the chairs apparently have to make a call on how to proceed with appendix C of 2140bis.

Here is my current understanding of the situation:

1/ Appendix C in draft-ietf-tcpm-2140bis-06 is not a copy of draft-touch-tcpm-automatic-iw; the content has been rewritten to fit into the scope of document as a result of corresponding WGLC feedback. There are follow-up comments from the TCPM working group that the content could be shorter, but I am not aware of specific text suggestions or any form of progress.

2/ Apart from the authors and some few TCPM contributors, the rest of the TCPM community apparently stays silent. My reading is that many TCPM contributors don’t care about appendix C and its length. In such a situation, there is not much the chairs can do to reach consensus, other than, say, tossing a coin.

3/ draft-ietf-tcpm-2140bis-06 is an informational document and clearly flags appendix C as an example. And appendix C is at the end of the document. This whole discussion is apparently about a minor part of the document.

4/ Finishing this document may be more important for the WG than arguing about an example in an appendix of an informational document. Blocking progress of 2140bis inside TCPM because of the length of an appendix does not seem very useful. Overall, it is community consensus that it makes a lot of sense to update 2140 with this document. With the current (lack of) feedback from the TCPM community, I don’t see how progress can be made inside TCPM regarding appendix C.

As document shepherd, my proposal to move forward is as follows:

5/ I will record in my shepherd write-up the known concerns regarding appendix C and its length, and I will clearly state in the write-up that the consensus on whether to include appendix C in this form is rough inside TCPM. Thus, the push-back from parts of the working group is documented and visible during IETF last call.

6/ I plan to ship version -06 to the IESG end of this year. The document will then get more reviews.

Best regards

Michael (as document shepherd)

From: Joseph Touch <[email-masked]>
Sent: Tuesday, December 15, 2020 4:52 AM
To: Mirja Kuehlewind <mirja.kuehlewind=[email-masked]>
Cc: Yoshifumi Nishida <[email-masked]>; Scharf, Michael <[email-masked]>; tcpm IETF list <[email-masked]>
Subject: Re: [tcpm] I-D Action: draft-ietf-tcpm-2140bis-06.txt

To the WG:

On Dec 14, 2020, at 2:56 AM, Mirja Kuehlewind <mirja.kuehlewind=[email-masked]<mailto:mirja.kuehlewind=[email-masked]>> wrote:

I’m also still concerned about the appendix. I think a link to the expired draft and some summary discussion would be sufficient rather than copying the whole expired draft in the appendix that never reached any consensus in the group.

We have addressed these comments before and disagree with them.

The material was available to the WG for several months and has received no objections except Mirja's during WGLC and Youshifumi’s now many months after WGLC.

The content of expired I-Ds can be removed from public view at any time, per:
https://ietf.org/about/groups/iesg/statements/internet-draft-removal/

Finally, see the *explicit* instructions in the required boilerplate of every I-D:

       ...It is inappropriate to use Internet-Drafts as

   reference material ...

I will let my co-authors address how to proceed.

Joe